declare const BleComboTask_base: typeof import("event-emitter-for-miniprogram").default;
export class BleComboTask extends BleComboTask_base {
    constructor({ targetWifiInfo, wifiConfToken, deviceAdapter, reporter }: {
        targetWifiInfo: any;
        wifiConfToken?: string;
        deviceAdapter: any;
        reporter: any;
    });
    sequence: number;
    sendDataInterval: number;
    ssid: any;
    password: any;
    token: string;
    deviceAdapter: any;
    logger: any;
    processing: boolean;
    start(): Promise<never>;
    sendSwitchWiFi(): Promise<void>;
    sendSsid(): Promise<void>;
    sendPassword(): Promise<void>;
    connectWifi(): Promise<any>;
    sendToken(): Promise<{
        productId: any;
        deviceName: any;
    }>;
    interrupt(): void;
}
export {};
