import { WifiConfOption } from 'qcloud-iotexplorer-appdev-plugin-wificonf-core';
import { AppDevPlugin, AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
interface BLEWifiConfOption extends WifiConfOption {
    deviceAdapter: any;
    bleComboProto: 'BLE_COMBO_ESP' | 'BLE_COMBO_LLSYNC';
}
export interface TaskOptions extends BLEWifiConfOption {
    reporter: {
        info: (params: {
            code: string;
            detail?: Record<string, unknown>;
        }) => void;
        error: (err: any) => void;
    };
}
export default class BleComboPlugin implements AppDevPlugin {
    static install(sdk: AppDevSdk): void;
}
export declare const BleComboProtocols: {
    BLE_COMBO_ESP: string;
    BLE_COMBO_LLSYNC: string;
};
export * from './blueToothAdapter';
