/// <reference types="miniprogram-api-typings" />
export declare const insightReportor: WechatMiniprogram.Console;
export declare const md5: (str: string) => any;
export declare const isIOS: () => boolean;
export declare function str2hexStr(str: any): string;
export declare const noop: () => void;
export declare const delay: (timeout: any) => Promise<void>;
export interface PromiseObj<T = any> {
    promise: Promise<T>;
    resolve: (T?: any) => any;
    reject: (any?: any) => any;
}
export declare function genPromise<T = any>(): PromiseObj<T>;
export declare function arrayBufferToHexStringArray(buffer: any): string[];
export declare function byteArrayToStr(bytes: any): any;
export declare function hex2str(hex: any): any;
